apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: cmoa-pod-exporter
  name: cmoa-pod-exporter
  namespace: imxc
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cmoa-pod-exporter
  template:
    metadata:
      labels:
        app: cmoa-pod-exporter
    spec:
      containers:
        - image: {{ .Values.global.IMXC_IN_REGISTRY }}/cmoa-pod-exporter:{{ .Values.global.KUBE_EXPORTER_VERSION }}
          name: cmoa-pod-exporter
          ports:
            - containerPort: 8080
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8080
            initialDelaySeconds: 5
            periodSeconds: 5
